Skip to main content
GET
/
markets-by-token
/
{token_id}
Get market by token
curl --request GET \
  --url https://clob.polymarket.com/markets-by-token/{token_id}
import requests

url = "https://clob.polymarket.com/markets-by-token/{token_id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://clob.polymarket.com/markets-by-token/{token_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "condition_id": "0xbd31dc8a20211944f6b70f31557f1001557b59905b7738480ca09bd4532f84af",
  "primary_token_id": "71321045679252212594626385532706912750332728571942532289631379312455583992563",
  "secondary_token_id": "52114319501245915516055106046884209969926127482827954674443846427813813222426"
}
{
  "error": "<string>",
  "code": "<string>",
  "retry_after_seconds": 123
}
{
  "error": "<string>",
  "code": "<string>",
  "retry_after_seconds": 123
}
{
  "error": "<string>",
  "code": "<string>",
  "retry_after_seconds": 123
}

Path Parameters

token_id
string
required

The token ID to look up the parent market for

Response

Successfully retrieved market

Response for GET /markets-by-token/{token_id} — condition ID and both token IDs in the market.

condition_id
string
required

The condition ID of the market containing the given token

Example:

"0xbd31dc8a20211944f6b70f31557f1001557b59905b7738480ca09bd4532f84af"

primary_token_id
string
required

The primary (Yes) token ID

Example:

"71321045679252212594626385532706912750332728571942532289631379312455583992563"

secondary_token_id
string
required

The secondary (No) token ID

Example:

"52114319501245915516055106046884209969926127482827954674443846427813813222426"